# This file is a template, and might need editing before it works on your project.
# To contribute improvements to CI/CD templates, please follow the Development guide at:
# https://docs.gitlab.com/ee/development/cicd/templates.html
# This specific template is located at:
# https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/templates/Terraform.gitlab-ci.yml
image: ubuntu:latest

before_script:
  - apt-get update
  - apt-get install -y gnupg software-properties-common
  - apt-get install sudo -y
  - apt-get install curl -y
  - curl -fsSL https://apt.releases.hashicorp.com/gpg | sudo apt-key add -
  - sudo apt-add-repository "deb [arch=amd64] https://apt.releases.hashicorp.com $(lsb_release -cs) main"
  - sudo apt-get update && sudo apt-get install terraform
  - apt-get update
  - curl -sL https://aka.ms/InstallAzureCLIDeb | bash
  - az login
  # - az login --service-principal -u "$CLIENT_ID" -p "$CLIENT_SECRET" --tenant "$TENANT_ID"
  - az account set --subscription "$SUBSCRIPTION_ID"

stages:
  - deploy

deploy:
  stage: deploy
  script:
    - terraform init -upgrade
    - terraform plan -var-file="input.tfvars"
    - terraform apply --auto-approve -var-file="input.tfvars"
